# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/ReadPixels.hpp File Reference

`#include <vlGraphics/Camera.hpp>`
`#include <vlCore/Say.hpp>`
`#include <vlCore/Log.hpp>`
`#include <vlGraphics/RenderEventCallback.hpp>`
`#include <vlGraphics/GLBufferObject.hpp>`
`#include <vlCore/Image.hpp>`

Go to the source code of this file.

## Classes

class | vl::ReadPixels
| A RenderEventCallback that copyes a rectangular pixel area from a source buffer to an Image at the end of a rendering. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

void | vl::readPixels (Image *image, int x, int y, int w, int h, EReadDrawBuffer read_buffer, bool store_in_pixel_buffer_object)
| Reads a rectangular pixel area from the specified read buffer and stores it in an Image.

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:28.
Permission is granted to use this page to write and publish articles regarding Visualization Library.